"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class TotalNumberOfMendelErrors(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_2_1 import metrics as metrics_1_2_0

        return {
            "individualMendelErrors": metrics_1_2_0.AggregatedIndividualMendelErrors,
        }

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_2_1 import metrics as metrics_1_2_0

        return {
            "org.gel.models.metrics.avro.AggregatedIndividualMendelErrors": metrics_1_2_0.AggregatedIndividualMendelErrors,
            "org.gel.models.metrics.avro.TotalNumberOfMendelErrors": metrics_1_2_0.TotalNumberOfMendelErrors,
        }

    __slots__ = [
        "familyMendelErrors",
        "individualMendelErrors",
    ]

    def __init__(
        self,
        familyMendelErrors=None,
        individualMendelErrors=None,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_0.TotalNumberOfMendelErrors model.

        :param familyMendelErrors:
            Total number of Mendelian errors in the family, this should be the sum
            of the mendelian errors in each nuclear family
        :type familyMendelErrors: None | double
        :param individualMendelErrors:
            Number of Mendelian errors per sample considering all nuclear
            families. Should be one entry per sample in the family
        :type individualMendelErrors: None | list[AggregatedIndividualMendelErrors]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.0"
